---
title: "Retrieve Inventory Locations By Code"
slug: "retrieve-inventory-locations-by-code"
updated: 2026-05-26T12:48:31Z
published: 2026-05-26T12:48:45Z
canonical: "developers.cmicglobal.com/retrieve-inventory-locations-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Inventory Locations By Code

Get/ci-rest-api/rest/1/cilocation

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select by Code
- By UUID

#### Select by Code

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| CompCode | Company Code | 001 |
| LocCode | Location Code | MAIN |

#### By UUID

This is an optional finder for querying a specific Inventory Location by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /ci-rest-api/rest/1/cilocation/BEB0875D112F5013E05316821FAC3BB0 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectByCode;CompCode=001,LocCode=MAIN
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleCilocCode:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='e2099210-de15-4b0e-8593-ecb71f8e73e6'>application/json</option>
</select>

```json
{
  "items": [
    {
      "CilocCompCode": "001",
      "CilocCode": "MAIN",
      "CilocName": "Warehouse",
      "CilocDeptCode": "050",
      "CilocTypeCode": "W",
      "CilocCtrlCode": null,
      "CilocBinCtrlFlag": "N",
      "CilocPctUsed": null,
      "CilocDeptDistFlag": "N",
      "CilocHier": "001      .MAIN    .",
      "CilocInvSerCode": null,
      "CilocMszoneCode": null,
      "CilocIuCreateDate": "2016-08-18T20:59:01Z",
      "CilocIuUpdateDate": null,
      "CilocVUuid": "BEB0875D10F35013E05316821FAC3BB0",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ci-rest-api/rest/1/cilocation/BEB0875D10F35013E05316821FAC3BB0",
          "name": "cilocation",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ci-rest-api/rest/1/cilocation/BEB0875D10F35013E05316821FAC3BB0",
          "name": "cilocation",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ci-rest-api/rest/1/cilocation",
      "name": "cilocation",
      "kind": "collection"
    }
  ]
}
```

object
